package zdb.core;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public class LocalInputStream extends InputStream {

	private FileInputStream realStream = null;
	private File file;
	
	public LocalInputStream (File file) {
		this.file=file;
	}
	
	public void open () throws IOException {
		if (realStream==null)
			realStream=new FileInputStream (file);
	}
	
	@Override
	public void close() throws IOException {
		if (realStream!=null)
			realStream.close();
	}
	
	@Override
	public int read(byte[] b, int off, int len) throws IOException {
		open();
		return realStream.read(b, off, len);
	}

	@Override
	public int read(byte[] b) throws IOException {
		open();
		return realStream.read(b);
	}

	@Override
	public int read() throws IOException {
		open();
		return realStream.read();
	}
}
